//**************************************************************************//
//* FRIDA: flexible rapid interactive data analysis                        *//
//* curve.h: operations on curve files                                     *//
//* (C) Joachim Wuttke 1990-, v2(C++) 2001-                                *//
//* http://www.messen-und-deuten.de/frida                                  *//
//**************************************************************************//

//! Operations on curve files

namespace NCurveFile {

    void CreateFitcurve();
    void CreateFreecurve();
    void ChangeExpr();
    void ChangeRange();
    void SetFileReference( const string& which );
    void SetConvTuningPars( string which );

    void SetProperties( string which );
    void SetAllPars();
    void ShowPar();
    void EditPar();
    void SetFixed( bool fix );

    void SetFitTuningPars( string which );
    void Fit( bool _allow_slow_conv );

    void SetIntTuningPars( string which );
    void IntegralProperty();

    void CumulativeDistribution();
};
